Get a random paragraph
curl --request GET \
--url https://api.urantia.dev/paragraphs/randomimport requests
url = "https://api.urantia.dev/paragraphs/random"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.urantia.dev/paragraphs/random', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"standardReferenceId": "<string>",
"sortId": "<string>",
"paperId": "<string>",
"sectionId": "<string>",
"partId": "<string>",
"paperTitle": "<string>",
"sectionTitle": "<string>",
"paragraphId": "<string>",
"text": "<string>",
"htmlText": "<string>",
"labels": [
"<string>"
],
"audio": {},
"language": "<string>",
"entities": [
{
"id": "<string>",
"name": "<string>"
}
],
"bibleParallels": [
{
"chunkId": "<string>",
"reference": "<string>",
"bookCode": "<string>",
"chapter": 123,
"verseStart": 123,
"verseEnd": 123,
"text": "<string>",
"similarity": 123,
"rank": 123,
"source": "<string>",
"embeddingModel": "<string>"
}
],
"urantiaParallels": [
{
"id": "<string>",
"standardReferenceId": "<string>",
"paperId": "<string>",
"paperTitle": "<string>",
"sectionTitle": "<string>",
"text": "<string>",
"similarity": 123,
"rank": 123,
"source": "<string>",
"embeddingModel": "<string>"
}
]
},
"navigation": {
"prev": "<string>",
"next": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>"
}Paragraphs
Get Random Paragraph
Returns a single random paragraph from the Urantia Book. Useful for daily quotes or exploration.
Response includes a navigation envelope with the previous and next paragraph refs (within the same paper, ordered by sortId). Refs are null at paper boundaries.
Use ?include=entities to include typed entity mentions in the response.
Use ?minLength=N and/or ?maxLength=N to filter by character count of the paragraph text.
GET
/
paragraphs
/
random
Get a random paragraph
Query Parameters
Available options:
default, rag Available options:
eng, es, fr, pt, de, ko Required range:
x >= 1Required range:
x >= 1⌘I